
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>nginx的proxy_cache缓存相关配置 / 憋错料</title>

    <meta name="description" content="nginx的proxy_cache缓存相关配置 本文主要介绍nginx的proxy_cache缓存的配置及nginx平滑升级. nginx的proxy_cache缓存用于反向代理时,对后端内容资源服务器进行缓存,缓存静态资源. 一.proxy_cache相关指令说明 1.proxy_cache指令 语法:proxy_cache zone_name; 默认值:none 使用配置段:http,server,location 该指令用于设置哪个缓存区将被使用,zone_name的值为proxy_cache_path指令创建的缓存区名称 2.prox">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">nginx的proxy_cache缓存相关配置</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>本文主要介绍nginx的proxy_cache缓存的配置及nginx平滑升级。</p>
<p>nginx的proxy_cache缓存用于反向代理时，对后端内容资源服务器进行缓存，缓存静态资源。</p>
<p>一、proxy_cache相关指令说明</p>
<p>1.proxy_cache指令</p>
<p>语法：proxy_cache<br />
zone_name;</p>
<p>默认值：none</p>
<p>使用配置段：http，server，location</p>
<p>该指令用于设置哪个缓存区将被使用，zone_name的值为proxy_cache_path指令创建的缓存区名称</p>
<p>2.proxy_cache_path指令</p>
<p>语法：proxy_cache_path&nbsp; path [levels=number] keys_zone=zone_name:zone_size [inactive=time]<br />
[max_size=size];</p>
<p>默认值：none</p>
<p>使用配置段：http</p>
<p>该指令用于设置缓存文件的存放路径</p>
<p>proxy_cache_path&nbsp;/usr/local/nginx-1.6/proxy_cache &nbsp;levels=1:2 &nbsp;keys_zone=cache_one:100m&nbsp;inactive=2d &nbsp;max_size=2g;</p>
<p>levels指定该缓存空间有两层hash目录，第一层目录为1个字母，第二层为2个字母</p>
<p>keys_zone参数设置这个缓存区的名称和内存缓存空间大小</p>
<p>inactive参数设置数据多长时间没有被访问将删除</p>
<p>max_size参数设置硬盘缓存空间大小</p>
<p>3.proxy_cache_methods指令</p>
<p>语法：proxy_cache_methods&nbsp; [GET HEAD POST];</p>
<p>默认值：proxy_cache_methods&nbsp; GET HEAD POST;</p>
<p>使用配置段：http，server，location</p>
<p>该指令用于设置缓存哪些HTTP方法</p>
<p>4.proxy_cache_min_uses指令</p>
<p>语法：proxy_cache_min_uses<br />
number;</p>
<p>默认值：proxy_cache_min_uses<br />
1;</p>
<p>使用配置段：http，server，location</p>
<p>该指令用于设置缓存的最小使用次数</p>
<p>5.proxy_cache_valid指令</p>
<p>语法：proxy_cache_valid</p>
<p>默认值：none</p>
<p>使用配置段：http，server，location</p>
<p>该指令用于对不同返回状态码的URL设置不同的缓存时间</p>
<p>例如，设置200、302状态的URL缓存10分钟，404状态的URL缓存1分钟，不指定状态码表示200、301、302</p>
<p>proxy_cache_valid&nbsp;<br />
200&nbsp; 302&nbsp;&nbsp; 10m;</p>
<p>proxy_cache_valid&nbsp; 404&nbsp;&nbsp;&nbsp; 1m;</p>
<p>proxy_cache_valid&nbsp;<br />
5m;</p>
<p>proxy_cache_valid&nbsp;<br />
any&nbsp; 1m;&nbsp; 其余没有定义的状态码，</p>
<p>6.proxy_cache_key指令</p>
<p>语法：proxy_cache_key&nbsp; line;</p>
<p>默认值：none</p>
<p>使用配置段：http，server，location</p>
<p>该指令用来设置web缓存的key值，nginx根据key值MD5哈希存储缓存，根据域名、请求路径等变量</p>
<p>proxy_cache_key &nbsp;$host$uri$is_args$args;</p>
<p>二、实验环境</p>
<p>平台：centos6.6_x86_64</p>
<p>nginx主机：192.168.115.22</p>
<p>tomcat主机：192.168.115.23</p>
<p>nginx版本：1.3.14</p>
<p>手动清除缓存需要增加模块ngx_cache_purge，因此需要重新编译</p>
<p>三、安装配置</p>
<p>1.编译nginx</p>
<p>#<br />
./configure&nbsp; --prefix=/usr/local/nginx --user=nobody --group=nobody<br />
--with-select_module --with-poll_module --with-file-aio --with-http_ssl_module<br />
--with-http_realip_module --with-http_gzip_static_module<br />
--with-http_secure_link_module --with-http_sub_module --with-http_stub_status_module<br />
--with-http_perl_module --add-module=/usr/local/src/nginx-http-concat/<br />
--add-module=/usr/local/src/nginx-sticky-module-1.1<br />
--add-module=/usr/local/src/nginx_tcp_proxy_module-master --add-module=/usr/local/src/ngx_cache_purge-2.3</p>
<p># make</p>
<p>这里不执行install，直接复制编译好的二进制文件替换原有的二进制文件，注意需要备份文件</p>
<p>2.平滑升级nginx</p>
<p># mv /usr/local/nginx/sbin/nginx&nbsp;<br />
/usr/local/nginx/sbin/nginx.old</p>
<p># cp -p /root/soft/nginx/nginx-1.3.14/objs/nginx&nbsp;&nbsp;<br />
/usr/local/nginx/sbin/</p>
<p>执行以下命令，nginx新旧进程一起工作</p>
<p># kill -USR2 `cat<br />
/usr/local/nginx/logs/nginx.pid`</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNzEvQjQvd0tpb20xWFc1cEN3emlqckFBS0FfY2hJa1dBMzMzLmpwZw==.jpg" /></p>
<p>关闭旧的工作进程，此时旧的主进程还存在，可以选择使用新版本是恢复到旧版本</p>
<p># kill -WINCH `cat<br />
/usr/local/nginx/logs/nginx.pid.oldbin`</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNzEvQjAvd0tpb0wxWFc2TGF6RHoyUkFBSGM3Q1dKOThnNTUzLmpwZw==.jpg" /></p>
<p>如果想恢复到旧版本，执行以下命令，将重新生成旧的工作进程</p>
<p>#<br />
kill -HUP `cat<br />
/usr/local/nginx/logs/nginx.pid.oldbin`</p>
<p>使用新版本，就关闭旧版本的主进程</p>
<p># kill -QUIT `cat<br />
/usr/local/nginx/logs/nginx.pid.oldbin`</p>
<p>至此nginx升级成功</p>
<p>3.配置nginx的proxy缓存</p>
<p>在nginx主配置文件nginx.conf中的http段添加如下两行</p>
<p>proxy_temp_path<br />
/usr/local/nginx/proxy_temp;</p>
<p>proxy_cache_path<br />
/usr/local/nginx/proxy_cache levels=1:2 keys_zone=cache_one:100m inactive=1d<br />
max_size=1g;</p>
<p>在/usr/local/nginx/conf/extra目录下编辑web.conf配置文件</p>
<p>server {</p>
<p>listen&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 8800;</p>
<p>server_name hnr.test.com;</p>
<p>index index.html;</p>
<p>access_log logs/hnr.test.com<br />
access_log;</p>
<p>location / {</p>
<p>root&nbsp;&nbsp; html;</p>
<p>index index.html index.htm;</p>
<p>proxy_set_header Host&nbsp;&nbsp; $host:$server_port;</p>
<p>proxy_set_header&nbsp; X-Real-IP&nbsp;<br />
$remote_addr;</p>
<p>proxy_pass&nbsp; <a href="http://hnr.test.com" rel="external nofollow noreferrer">http://hnr.test.com</a>;</p>
<p>}</p>
<p>location ~ /purge(/.*) {</p>
<p>allow&nbsp;&nbsp; 127.0.0.1;</p>
<p>allow&nbsp;&nbsp; 192.168.115.0/24;</p>
<p>allow&nbsp;&nbsp; 192.168.1.0/24;</p>
<p>deny&nbsp;&nbsp;&nbsp; all;</p>
<p>proxy_cache_purge&nbsp; cache_one $host$1$is_args$args;</p>
<p>#error_page 405 =200 /purge$1;</p>
<p>}</p>
<p>####注意 location ~ /purge(/.*)需要定义在静态缓存配置上面否则清除缓存时会报404错误</p>
<p>location ~<br />
.*\.(gif|jpg|png|html|css|js|ico|swf|pdf)(.*) {</p>
<p>proxy_pass&nbsp; <a href="http://hnr.test.com" rel="external nofollow noreferrer">http://hnr.test.com</a>;</p>
<p>proxy_cache cache_one;</p>
<p>add_header Nginx-Cache<br />
$upstream_cache_status;</p>
<p>proxy_cache_valid&nbsp; 200 304 301 302 2h;</p>
<p>proxy_cache_valid 404 1m;</p>
<p>proxy_cache_valid&nbsp; any 2d;</p>
<p>proxy_cache_key<br />
$host$uri$is_args$args;</p>
<p>expires 30d;</p>
<p>}</p>
<p>}</p>
<p>编辑/usr/local/nginx/conf/extra目录下upstream.conf文件指定后端tomcat服务器</p>
<p>pstream&nbsp; hnr.test.com</p>
<p>{</p>
<p>server 192.168.115.23:8080;</p>
<p>}</p>
<p>测试配置文件没问题重新载入配置文件</p>
<p>#<br />
/usr/local/nginx/sbin/nginx -t</p>
<p>#<br />
/usr/local/nginx/sbin/nginx -s reload</p>
<p>四、测试</p>
<p>在浏览器中访问</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNzEvQjQvd0tpb20xWFc1cjZDSGFEb0FBSmRGUk9VN2xZNzEzLmpwZw==.jpg" /></p>
<p>此时，可以看到在目录出现了许多目录，及缓存的文件</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNzEvQjAvd0tpb0wxWFc2TnJ4aHVMREFBQnE4WFJjdEVzMDM3LmpwZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNzEvQjAvd0tpb0wxWFc2UHFqWlppZ0FBRTNVLXlTREUwMDI3LmpwZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNzEvQjQvd0tpb20xWFc1dmZ5RHJCOUFBRWFaUFpLU0R3NTgwLmpwZw==.jpg" /></p>
<p>手动清除缓存输入地址：http://hnr.test.com:8800/purge/tomcat.png出现如下信息说明该图片缓存已经清除</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNzEvQjAvd0tpb0wxWFc2Um53NVZET0FBSmNuYkF5SlZJMDI2LmpwZw==.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-29 00:09:35 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/nginx%e7%9a%84proxy_cache%e7%bc%93%e5%ad%98%e7%9b%b8%e5%85%b3%e9%85%8d%e7%bd%ae/" title="nginx的proxy&lowbar;cache缓存相关配置">nginx的proxy&lowbar;cache缓存相关配置</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>nginx的proxy_cache缓存相关配置的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ODWVr4.html" rel="bookmark">使用Nginx的proxy&lowbar;cache缓存功能取代Squid&lbrack;原创&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用Nginx的proxy_cache缓存功能取代Squid[原创] [文章作者:张宴 本文版本:v1.2 最后修改:2009.01.12 转载请注明原文链接:http://blog.zyan.cc/nginx_cache/] Nginx从0.7.48版本开始,支持了类似Squid的缓存功能.这个缓存是把URL及相关组合当作Key,用md5编码哈希后保存在硬盘上,所以它可以支持任意URL链接,同时也支持404/301/302这样的非200状态码.虽然目前官方的Nginx Web缓存服务只能为指定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyKZZE3.html" rel="bookmark">Nginx作为WEB服务相关配置（性能优化，网络连接，访问控制，虚拟主机，https等等）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编译安装nginx yum -y install pcre-devel groupadd -r nginx useradd -g nginx -r nginx tar xf nginx-1.6.2.tar.gz cd nginx-1.6.2 ./configure --prefix=/usr/local/nginx --conf-path=/etc/nginx/nginx.conf--user=nginx --group=nginx --error-log-path=/var/log/nginx			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pPB6y4.html" rel="bookmark">Nginx基础入门之相关配置模板样例参考</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于nginx,在不同的环境下有不同的配置,比如nginx在LNMP环境中有lamp 环境的配置,从到反向代理时,有反向代理的配置,在做负载均衡时,有负载均衡的配置,下面我们来介绍一下关于nginx不同应用环境的配置样例 通常在配置nginx时,我习惯将nginx配置分为nginx分为两大部分:1.共用nginx配置:2.include引用的web配置,如下所示 * 共用nginx配置模板参考 #user  nobody; user nginx ;   worker_processes  aut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEqR8RM.html" rel="bookmark">Nginx日志格式以及相关配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Nginx日志格式以及参数说明log_format  main  '$remote_addr - $remote_user [$time_local] &quot;$request&quot; '                      '$status $body_bytes_sent &quot;$http_referer&quot; '                      '&quot;$http_user_agent&quot; &quot;$http_x_forwarded_for&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ODLXg4.html" rel="bookmark">使用Nginx反向代理和proxy&lowbar;cache缓存搭建CDN服务器加快Web访问速度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				碰到问题: 移动用户访问web服务器www.osyunwei.com很慢 解决办法: 1.在移动机房放置一台nginx反向代理服务器 2.通过域名DNS智能解析,所有移动用户访问www.osyunwei.com时解析到nginx反向代理服务器 3.nginx反向代理服务器与web服务器之间采用专线连接 系统运维  www.osyunwei.com  温馨提醒:qihang01原创内容©版权所有,转载请注明出处及原文链接 说明: 1.web服务器 线路:电信 IP:192.168.21.129 域			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l2O5p4.html" rel="bookmark">nginx的web缓存服务环境部署记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web缓存位于内容源Web服务器和客户端之间,当用户访问一个URL时,Web缓存服务器会去后端Web源服务器取回要输出的内容,然后,当下一个请求到来时,如果访问的是相同的URL,Web缓存服务器直接输出内容给客户端,而不是向源服务器再次发送请求.Web缓存降低了内容源Web服务器,数据库的负载,减少了网络延迟,提高了用户访问的响应速度,增强了用户体验. web缓存服务器中,最著名的要数Squid Cache(简称为Squid),Squid是一个流浪的自由软件的代理服务器和Web缓存服务器.---			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/v0knzlM.html" rel="bookmark">nginx三 之缓存模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				友情提示: 缓存模块是在动静分离的环境基础上搭建,动静分离可以参考http://www.cnblogs.com/dahuandan/p/6759212.html 介绍 提高网站响应速度是web应用不容忽视的目标,在之前动静分离的基础上,我们已经降低了后端服务器压力,提高了处理请求的性能,但是用户请求的静态资源是从硬盘读取,相比内存的性能还有很大的提高: Nginx自带的缓存模块可以把静态资源缓存到内存中,提高了用户请求静态资源的速度,并且nginx自带缓存模块配置简单,使用灵活,搭配第三方插件可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qOLBDM.html" rel="bookmark">使用nginx的proxy&lowbar;cache做网站缓存</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为什么要做web cache,我想大家最主要的是解决流量的压力.随着网站流量的提升,如果只是单台机器既处理静态文件,又处理动态脚本,显然效率很难上升,不能处理日益上涨的流量压力.与此同时某些网站的页面内容并不是经常变化,因此我们可以分两层架构来组织网站.前端web缓存+后端web服务器,可以参看这里配置nginx反向代理配置 前端web缓存有多重方式实现,原理就是队请求结果页面静态化并设置一个超时期限,缓存页面过期后,新请求到达时重新到后端web服务器获取内容更新:没有nginx前比较流行的方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoXmPw0.html" rel="bookmark">nginx做为反代服务器相关配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.反代的模型 反代服务器实现反代功能的是 nginx-proxy 模块 虚拟服务器组实现是由 upstream 模块实现的 大概流程是:客户端发起资源请求,反代服务器上接收后(首部和body全部接收后再发,若报文小于4k内存中缓存,大于4k先缓存在硬盘上),nginx开始解析报文(此时报文源地址是客户的地址),先查看请求的资源知否在反代缓存中命中,若未命中,则自己作为客户端向服务器发起请求(此时报文源地址是反代服务器地址) 那么如何让后端服务器记录真实的客户地址呢,反代中可配置x-forwar			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r27w73.html" rel="bookmark" class="title">转&colon; Div与table的区别</a>
					<div>
						1:速度和加载方式方面的区别 div 和 table 的差异不是速度,而是加载方式,速度只能是指网络速度,如果速度足够快,是没有差异的: div 的加载方式是即读即加载,遇到 &lt;div&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0en5b53.html" rel="bookmark" class="title">浏览器内核及渲染模式的介绍</a>
					<div>
						首先要引入一个概念——排版引擎(Layout Engine,Rendering Engine),就是经常上网的人也许都听说过的浏览器内核,负责解析网页语法(如HTML.JavaScript)并渲染.展 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vKoJa4.html" rel="bookmark" class="title">web service&comma;soap &comma;http&comma;tcp&comma;udp</a>
					<div>
						webservice and soap  HTTP只负责把数据传送过去,不会管这个数据是XML.HTML.图片.文本文件或者别的什么.而SOAP协议则定义了怎么把一个对象变成XML文本,在远程如何调用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MylwYm4.html" rel="bookmark" class="title">单片机通过寄存器地址访问寄存器</a>
					<div>
						1.头文件 char xdata PWMOMUX1         _at_ 0x02A7;//10'b10_1010_0111; 程序: u16 addr; addr =0x02A7; *((u8  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49WGGA0.html" rel="bookmark" class="title">Hadoop之命令集合（全）</a>
					<div>
						Hadoop命令系列文章共5篇,链接地址如下: Hadoop之文件系统Shell Hadoop之命令指南 Hadoop之HDFS命令 Hadoop之MapReduce命令 Hadoop之YARN命令  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/382O9ZM.html" rel="bookmark" class="title">信号处理中数字频率和模拟频率简明讲解</a>
					<div>
						数字频率和模拟频率 在数字信号处理的学习中,很多刚入门朋友常常为模拟频率.数字频率及其相互之间的关系所迷惑,甚至是一些已经对数字信号处理有所了解的朋友也为这个问题所困惑. 我们通常所说的频率,在没有特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgZ6Qr4.html" rel="bookmark" class="title">maven学习手记 - 1</a>
					<div>
						学习目标 windows下安装maven环境: 使用命令创建maven项目结构: maven项目编译测试打包安装运行: 在maven项目中使用插件. 在windows下安装maven环境 在windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXvgNX3.html" rel="bookmark" class="title">详解Mac睡眠模式设置</a>
					<div>
						原文链接:http://www.insanelymac.com/forum/index.php?showtopic=281945 需要说明的是,首先这篇文章是针对已经能够成功睡眠并唤醒的用户如果你的睡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dRjG94.html" rel="bookmark" class="title">远程访问VPN--easy  vpn 路由器上配置</a>
					<div>
						实验拓扑图: web  用的server2003 搭建 vpn服务器的配置如下: hostname vpn aaa new-model    开启AAA功能,路由器上AAA默认是关闭的 aaa aut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME61Zx0.html" rel="bookmark" class="title">JSP状态管理 及 Cookie实例</a>
					<div>
						HTTP协议的无状态性 无状态是指,当浏览器发送请求给服务器的时候,服务器响应客户端的请求. 但是当同一个浏览器再次发送请求给了服务器的时候,服务器并不知道它就是刚才那个浏览器. 简单地说,就是服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RmqD9M.html" rel="bookmark" class="title">兔浊杂忠亲cs4a8mnqyg7hhyv</a>
					<div>
						新华社瓦莱塔4月10日电(记者李拯宇 李佳)全国政协主席俞正声10日在前往非洲三国进行正式友好访问途中过境马耳他,在瓦莱塔会见马耳他议长法鲁贾. 俞正声说,中马保持长期友好关系,政治上相互信任,经济上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wdgg0.html" rel="bookmark" class="title">CocoaPods使用详细说明</a>
					<div>
						一.概要 iOS开发时,项目中会引用许多第三方库,CocoaPods(https://github.com/CocoaPods/CocoaPods)可以用来方便的统一管理这些第三方库. 二.安装 由于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZpoddM.html" rel="bookmark" class="title">实现照片墙的效果</a>
					<div>
						https://github.com/shiralwz/image-page 今天在github上传了一个小的照片墙的页码源代码,主要是照片墙的功能,当鼠标移动到哪个照片的时候,照片自动放大并上浮.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVvrWQM.html" rel="bookmark" class="title">ubuntu下 完全卸载火狐浏览器</a>
					<div>
						由于ubuntu下面的自带的火狐浏览器总是崩溃,又没找到具体到好办法,无奈只好将其卸载,安装了chromium Web Browser浏览器. Tips: 查找火狐具体内容: dpkg --get-s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kl2Yz3.html" rel="bookmark" class="title">&amp;lt&semi;a&amp;gt&semi;标签中的href&equals;&amp;quot&semi;javascript&colon;&semi;&amp;quot&semi;</a>
					<div>
						例子:&lt;a href=&quot;javascript:;&quot;&gt;我的页面&lt;/a&gt; javascript: 是一个伪协议 javascript:是表示在触发&lt;a&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YWLwa4.html" rel="bookmark" class="title">Android studio怎么去掉应用的标题栏</a>
					<div>
						在eclipse里面去掉标题栏是一件很容易的事情,但是到Android studio上面就有点不一样了,我刚上手Android studio的时候按照eclipse里面的方法在Java代码里面加入 r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGngKo4.html" rel="bookmark" class="title">nginx详解（一）</a>
					<div>
						nginx介绍: 官网:http://nginx.org.基于官方文档更有参考价值,所以这里基本只是以附加网址的形式翻译部分常用指令而已. 点击&quot;简体中文&quot;,可以看到nginx的特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qDlpz0.html" rel="bookmark" class="title">dom 拖拽div</a>
					<div>
						&lt;!doctype html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;title&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mor5Bl4.html" rel="bookmark" class="title">java File处理</a>
					<div>
						package com.zero4j.util; import java.io.File;import java.io.FileInputStream;import java.io.FileOutpu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoevQx3.html" rel="bookmark" class="title">ffmpeg-20160617-git-bin&period;7z  ffmpeg-20160626-git-bin&period;7z</a>
					<div>
						ESC 退出 0 进度条开关 1 屏幕原始大小 2 屏幕1/2大小 3 屏幕1/3大小 4 屏幕1/4大小 S 下一帧 [ -2秒 ] +2秒 ; -1秒 ' +1秒 下一个帧 -&gt; -5秒 f ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
